## freeswitch-e02f28a8df495c28132e156e93a26ba2603a3120.zip

=== src/dotnet/Makefile ===
all: $(MODNAME).so 

$(MODNAME).so:
	/usr/local/freeswitch/bin/gmcs -debug -unsafe -t:library -keyfile:public.snk \
	-out:FreeSwitch.NET.dll -reference:Mono.Posix.dll \
	Properties/AssemblyInfo.cs \
	Marshaling/Types/ApiInterfaceMarshal.cs \
	Marshaling/Types/ApplicationInterfaceMarshal.cs \
	Marshaling/Types/BufferMarshal.cs \
	Marshaling/Types/CallerExtensionMarshal.cs \
	Marshaling/Types/CallerProfileMarshal.cs \
	Marshaling/Types/ChannelFlagMarshal.cs \
	Marshaling/Types/ChannelMarshal.cs \
	Marshaling/Types/ChannelStateMarshal.cs \
	Marshaling/Types/ChannelTimetableMarshal.cs \
	Marshaling/Types/CodecImplementationMarshal.cs \
	Marshaling/Types/CodecInterfaceMarshal.cs \
	Marshaling/Types/CodecMarshal.cs \
	Marshaling/Types/CodecTypeMarshal.cs \
	Marshaling/Types/CoreSessionMarshal.cs \
	Marshaling/Types/EventMarshal.cs \
	Marshaling/Types/FileHandleMarshal.cs \
	Marshaling/Types/FrameMarshal.cs \
	Marshaling/Types/IOEventHooksMarshal.cs \
	Marshaling/Types/LoadableModuleInterfaceMarshal.cs \
	Marshaling/Types/LoadableModuleMarshal.cs \
	Marshaling/Types/SpeechHandleMarshal.cs \
	Marshaling/Types/StateHandlerTableMarshal.cs \
	Marshaling/Types/StreamHandleMarshal.cs \
	Marshaling/Types/TypesMarshal.cs \
	Marshaling/Types/TimerMarshal.cs \
	Marshaling/BufferMarshaler.cs \
	Marshaling/CallerExtensionMarshaler.cs \
	Marshaling/CallerProfileMarshaler.cs \
	Marshaling/ChannelMarshaler.cs \
	Marshaling/ChannelTimetableMarshaler.cs \
	Marshaling/CodecMarshaler.cs \
	Marshaling/CoreSessionMarshaler.cs \
	Marshaling/EventMarshaler.cs \
	Marshaling/FileHandleMarshaler.cs \
	Marshaling/MemoryPoolMarshaler.cs \
	Marshaling/SpeechHandleMarshaler.cs \
	Marshaling/StateHandlerTableMarshaler.cs \
	Marshaling/StreamHandleMarshaler.cs \
	Marshaling/TimerMarshaler.cs \
	Modules/Api.cs \
	Modules/Application.cs \
	Switch/CallerProfile.cs \
	Switch/Channel.cs \
	Switch/Console.cs \
	Switch/CoreSession.cs \
	Switch/Event.cs \
	Switch/Ivr.cs \
	Switch/LoadableModule.cs \
	Switch/Log.cs \
	Switch/StreamHandle.cs \
	Types/ApiFunction.cs \
	Types/ApplicationFunction.cs \
	Types/ApplicationInterface.cs \
	Types/Buffer.cs \
	Types/CallCause.cs \
	Types/CallerExtension.cs \
	Types/CallerProfile.cs \
	Types/Channel.cs \
	Types/ChannelFlag.cs \
	Types/ChannelState.cs \
	Types/ChannelTimetable.cs \
	Types/Codec.cs \
	Types/CoreSession.cs \
	Types/DtmfCallbackFunction.cs \
	Types/InputCallbackFunction.cs \
	Types/InputType.cs \
	Types/Event.cs \
	Types/EventCallback.cs \
	Types/EventType.cs \
	Types/FileHandle.cs \
	Types/LoadableModule.cs \
	Types/LoadableModuleInterface.cs \
	Types/LogLevel.cs \
	Types/MemoryPool.cs \
	Types/Module.cs \
	Types/Status.cs \
	Types/SpeechHandle.cs \
	Types/StateHandlerTable.cs \
	Types/StreamHandle.cs \
	Types/TextChannel.cs \
	Types/Timer.cs \
	Common.cs \
	Module.cs \
	Ivr.cs \
	Log.cs \
	
clean:
	rm -fr *.dll

install:
	cp -f FreeSwitch.NET.dll /usr/local/freeswitch/lib/

=== libs/xmlrpc-c/include/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/..
endif
SUBDIR = src
BUILDDIR = $(SRCDIR)
VPATH = .:$(SRCDIR)

include $(BUILDDIR)/Makefile.config

HEADERS_TO_INSTALL = \
  xmlrpc-c/oldxmlrpc.h \
  xmlrpc-c/base.h \
  xmlrpc-c/abyss.h \
  xmlrpc-c/server.h \
  xmlrpc-c/server_abyss.h \
  xmlrpc-c/server_w32httpsys.h \

ifeq ($(ENABLE_CPLUSPLUS),yes)
  HEADERS_TO_INSTALL += \
    xmlrpc-c/oldcppwrapper.hpp \
    xmlrpc-c/base.hpp \
    xmlrpc-c/timeout.hpp \
    xmlrpc-c/xml.hpp \
    xmlrpc-c/registry.hpp \
    xmlrpc-c/server_abyss.hpp\
    xmlrpc-c/girerr.hpp\
    xmlrpc-c/girmem.hpp\

endif



HEADERINST_PREFIX = /xmlrpc-c

ifeq ($(MUST_BUILD_CLIENT),yes)
  HEADERS_TO_INSTALL += \
    xmlrpc-c/client.h \
    xmlrpc-c/transport.h \

  ifeq ($(ENABLE_CPLUSPLUS),yes)
    HEADERS_TO_INSTALL += xmlrpc-c/client.hpp xmlrpc-c/client_simple.hpp
  endif
endif
ifeq ($(ENABLE_CGI_SERVER),yes)
  HEADERS_TO_INSTALL += xmlrpc-c/server_cgi.h
endif

default: all

all:

.PHONY: install
install: install-common

.PHONY: clean distclean dep
clean:
distclean:
dep:

include $(SRCDIR)/Makefile.common

=== libs/xmlrpc-c/tools/Makefile ===
SUBDIR=tools
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/..
BUILDDIR = $(SRCDIR)
endif

include $(SRCDIR)/Makefile.config

SUBDIRS = binmode-rpc-kit turbocharger

ifeq ($(MUST_BUILD_CLIENT),yes)
  SUBDIRS += xmlrpc xmlrpc_transport
endif

ifeq ($(ENABLE_CPLUSPLUS),yes)
  SUBDIRS += xml-rpc-api2cpp
endif

.PHONY: all clean distclean install dep

all: $(SUBDIRS:%=%/all)

clean: $(SUBDIRS:%=%/clean)

distclean: $(SUBDIRS:%=%/distclean)

install: $(SUBDIRS:%=%/install)

dep: $(SUBDIRS:%=%/dep)

include $(SRCDIR)/Makefile.common

=== libs/libetpan/src/driver/Makefile ===
top_builddir = ../..

SUBLIBS = interface/libinterface.la \
	tools/libtools.la \
	implementation/libimplementation.la


SUBDIRS = interface \
	tools \
	implementation


TARGET = libdriver

include $(top_builddir)/Rules

=== libs/xmlrpc-c/lib/curl_transport/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/../..
endif

include $(SRCDIR)/Makefile.config

CURL_INCLUDES := $(shell curl-config --cflags)
# We expect that curl-config --cflags just gives us -I options, because
# we need just the -I options for 'make dep'.  Plus, it's scary to think
# of what any other compiler flag would do to our compile.

CFLAGS = $(CFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)
LDFLAGS = -lpthread $(LADD)

INCLUDES = -I$(SRCDIR) -I$(SRCDIR)/include -I$(SRCDIR)/lib/util/include \
  $(CURL_INCLUDES)

default: all

.PHONY: all
all: xmlrpc_curl_transport.lo

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install:

.PHONY: dep
dep: dep-common

include $(SRCDIR)/Makefile.common

include Makefile.depend

xmlrpc_curl_transport.lo:%.lo:%.c
	$(LIBTOOL) --mode=compile $(CC) -c $(INCLUDES) $(CFLAGS) $<

=== libs/xmlrpc-c/src/cpp/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/../..
endif
SUBDIR = src/cpp
BUILDDIR = $(SRCDIR)
VPATH = .:$(SRCDIR)

include $(BUILDDIR)/Makefile.config

default: all

WININET_TRANSPORT_DIR = $(SRCDIR)/lib/wininet_transport
CURL_TRANSPORT_DIR    = $(SRCDIR)/lib/curl_transport
LIBWWW_TRANSPORT_DIR  = $(SRCDIR)/lib/libwww_transport

ifeq ($(ENABLE_LIBXML2_BACKEND),yes)
  LIBXML_INCLUDES = $(LIBXML2_CFLAGS)
  LIBXML = $(LIBXML2_LIBS)
else
  LIBXML_INCLUDES = -I$(SRCDIR)/lib/expat/xmlparse
  LIBXML = $(BUILDDIR)/lib/expat/xmlparse/libxmlrpc_xmlparse.la \
           $(BUILDDIR)/lib/expat/xmltok/libxmlrpc_xmltok.la
endif

ifeq ($(ENABLE_LIBXML2),yes)
  XMLRPC_XML_PARSER = xmlrpc_libxml2.lo
else
  XMLRPC_XML_PARSER = xmlrpc_expat.lo
endif

LIBXMLRPC = $(BUILDDIR)/src/libxmlrpc.la
LIBXMLRPC_SERVER = $(BUILDDIR)/src/libxmlrpc_server.la
LIBXMLRPC_CLIENT = $(BUILDDIR)/src/libxmlrpc_client.la

LIBXMLRPCPP_OBJS = girmem.o value.o fault.o outcome.o param_list.o xml.o
LIBXMLRPC_SERVERPP_OBJS = registry.o
LIBXMLRPC_SERVER_ABYSSPP_OBJS = server_abyss.o
LIBXMLRPC_CLIENTPP_OBJS = client.o client_simple.o

$(LIBXMLRPC_CLIENTPP_OBJS): $(BUILDDIR)/transport_config.h

TRANSPORT_OBJS =
ifeq ($(MUST_BUILD_WININET_CLIENT),yes)
  TRANSPORT_OBJS += $(WININET_TRANSPORT_DIR)/xmlrpc_wininet_transport.lo
endif
ifeq ($(MUST_BUILD_CURL_CLIENT),yes)
  TRANSPORT_OBJS += $(CURL_TRANSPORT_DIR)/xmlrpc_curl_transport.lo
endif
ifeq ($(MUST_BUILD_LIBWWW_CLIENT),yes)
  TRANSPORT_OBJS += $(LIBWWW_TRANSPORT_DIR)/xmlrpc_libwww_transport.lo
endif

TRANSPORT_INCLUDES = \
  -I$(WININET_TRANSPORT_DIR) \
  -I$(CURL_TRANSPORT_DIR) \
  -I$(LIBWWW_TRANSPORT_DIR) \

BASIC_INCLUDES = -I$(SRCDIR)/include -I$(BUILDDIR) -I$(SRCDIR) \
  -I$(SRCDIR)/lib/util/include

# We always statically-link our C++ code because it's tiny, and C++ is
# no good at shared libraries, anyway.  It's actually getting bigger,
# but since I'm determined not to expand the use of libtool (because
# it obfuscates the build process), I haven't figured out yet how to
# get the shared libraries to build for all the platforms.

# libxmlrpc_cpp.a is the legacy C++ wrapper library.  The others are the
# more elaborate replacements.

TARGET_LIBRARIES = \
  libxmlrpc_cpp.a \
  libxmlrpc++.a \
  libxmlrpc_server++.a \
  libxmlrpc_server_abyss++.a \
  libxmlrpc_client++.a \

TARGET_PROGS = cpptest

all: $(TARGET_LIBRARIES)

ifeq ($(MUST_BUILD_CURL_CLIENT),yes)
  LDFLAGS += $(shell curl-config --libs) -lpthread
endif
ifeq ($(MUST_BUILD_LIBWWW_CLIENT),yes)
  LDFLAGS += $(shell libwww-config --libs)
endif

LDFLAGS += $(LADD)

cpptest:%:%.o libxmlrpc_server_abyss++.a libxmlrpc_server++.a \
  libxmlrpc_client++.a libxmlrpc++.a libxmlrpc_cpp.a \
  $(LIBXMLRPC) $(LIBXMLRPC_SERVER) $(LIBXMLRPC_CLIENT) $(LIBXML)
	$(LIBTOOL) --mode=link $(CXXLD) -o $@ $(LDFLAGS) $^

LIBLDFLAGS = $(LADD)

libxmlrpc_cpp.a: XmlRpcCpp.o
	-rm -f $@
	$(AR) cru $@ $^
	$(RANLIB) $@

libxmlrpc++.a: $(LIBXMLRPCPP_OBJS)
	-rm -f $@
	$(AR) cru $@ $^
	$(RANLIB) $@

libxmlrpc_server++.a: $(LIBXMLRPC_SERVERPP_OBJS)
	-rm -f $@
	$(AR) cru $@ $^
	$(RANLIB) $@

libxmlrpc_server_abyss++.a: $(LIBXMLRPC_SERVER_ABYSSPP_OBJS)
	-rm -f $@
	$(AR) cru $@ $^
	$(RANLIB) $@

libxmlrpc_client++.a: $(LIBXMLRPC_CLIENTPP_OBJS)
	-rm -f $@
	$(AR) cru $@ $^
	$(RANLIB) $@

CXXFLAGS = $(CXXFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)

cpptest.o:%.o:%.cpp
	$(CXX) -c $(BASIC_INCLUDES) $(CXXFLAGS) $<

XmlRpcCpp.o:%.o:%.cpp
	$(CXX) -c $(BASIC_INCLUDES) $(CXXFLAGS) $<

$(LIBXMLRPCPP_OBJS):%.o:%.cpp
	$(CXX) -c $(BASIC_INCLUDES) $(CXXFLAGS) $<

SERVER_INCLUDES = $(BASIC_INCLUDES) $(LIBXML_INCLUDES)

$(LIBXMLRPC_SERVERPP_OBJS):%.o:%.cpp
	$(CXX) -c $(SERVER_INCLUDES) $(CXXFLAGS) $<

SERVER_ABYSS_INCLUDES = $(SERVER_INCLUDES) -I$(SRCDIR)/lib/abyss/src

$(LIBXMLRPC_SERVER_ABYSSPP_OBJS):%.o:%.cpp
	$(CXX) -c $(SERVER_ABYSS_INCLUDES) $(CXXFLAGS) $<

CLIENT_INCLUDES = $(BASIC_INCLUDES) $(LIBXML_INCLUDES) $(TRANSPORT_INCLUDES)

$(LIBXMLRPC_CLIENTPP_OBJS):%.o:%.cpp
	$(CXX) -c $(CLIENT_INCLUDES) $(CXXFLAGS) $<



LIBRARIES_TO_INSTALL = $(TARGET_LIBRARIES)

check: cpptest
	for tst in $^; do \
	  ./$$tst; \
	done;

.PHONY: install
install: install-common

.PHONY: clean clean-local distclean
clean: clean-common clean-local
clean-local:
	rm -f $(TARGET_PROGS)

distclean: clean distclean-common

# INCLUDES and DEP_SOURCES are used by dep-common target
INCLUDES = $(BASIC_INCLUDES) $(CLIENT_INCLUDES) $(LIBXML_INCLUDES) \
  $(SERVER_INCLUDES) $(SERVER_ABYSS_INCLUDES) $(TRANSPORT_INCLUDES)
DEP_SOURCES = *.cpp

.PHONY: dep
dep: $(BUILDDIR)/transport_config.h dep-common

include $(SRCDIR)/Makefile.common

include Makefile.depend

=== src/mod/asr_tts/mod_cepstral/Makefile ===
LOCAL_INSERT_LDFLAGS=if test $$osarch = "Darwin" ; then echo "-framework swift" ; else echo "-L$(SWIFT_HOME)/lib -L/opt/swift/lib -lswift -lceplex_us -lceplang_en -lm" ; fi ;

LOCAL_INSERT_CFLAGS=test $$osarch = "Darwin" || echo "-I$(SWIFT_HOME)/include -I/opt/swift/include";
LOCAL_CFLAGS=-w
include ../../../../build/modmake.rules

=== src/mod/asr_tts/mod_openmrcp/Makefile ===
# define these targets in your makefile if you wish
# local_all local_depend local_clean depend_install local_install local_distclean local_extraclean:

# TODO
# - needs to compile/link against the _freeswitch_ sofia libs (see FIXME)

OPENMRCP_DIR=../../../../libs/openmrcp

OPENMRCP_INCLUDE=-I$(OPENMRCP_DIR)/mrcpcore/client/include/ -I$(OPENMRCP_DIR)/platform/openmrcpclient/include/ -I$(OPENMRCP_DIR)/mediaframe/include/ -I$(OPENMRCP_DIR)/mrcpcore/engine/include/ -I$(OPENMRCP_DIR)/mrcpcore/include/ -I$(OPENMRCP_DIR)/mrcpcore/parser/include/ -I$(OPENMRCP_DIR)/mrcpcore/server/include/ -I$(OPENMRCP_DIR)/mrcpcore/media/include/ -I$(OPENMRCP_DIR)/mrcpcore/util/include -I$(OPENMRCP_DIR)/mrcpcore/resource/include/

OPENMRCP_LIBS=$(OPENMRCP_DIR)/platform/openmrcpclient/.libs/libopenmrcpclient.a $(OPENMRCP_DIR)/platform/openmrcpserver/.libs/libopenmrcpserver.a $(OPENMRCP_DIR)/mrcpcore/client/.libs/libmrcpclient.a $(OPENMRCP_DIR)/mediaframe/.libs/libmediaframe.a $(OPENMRCP_DIR)/mrcpcore/engine/.libs/libmrcpengine.a $(OPENMRCP_DIR)/mrcpcore/parser/.libs/libmrcpparser.a $(OPENMRCP_DIR)/mrcpcore/server/.libs/libmrcpserver.a $(OPENMRCP_DIR)/mrcpcore/media/.libs/libmrcpmedia.a $(OPENMRCP_DIR)/mrcpcore/util/.libs/libmrcputil.a $(OPENMRCP_DIR)/mrcpcore/resource/.libs/libmrcpresource.a $(OPENMRCP_DIR)/module/plugin/demo/.libs/libdemoplugin.a $(OPENMRCP_DIR)/module/mrcpv2agent/.libs/libmrcpv2agent.a $(OPENMRCP_DIR)/module/mrcpmediaframe/.libs/libmrcpmediaframe.a $(OPENMRCP_DIR)/module/mrcpsofiasip/.libs/libmrcpsofiasip.a $(OPENMRCP_DIR)/mrcpcore/.libs/libmrcpcore.a

MRCP_APR_INCLUDES =  -I../../../../libs/apr/include
MRCP_APU_INCLUDES =  -I../../../../libs/apr-util/include

LOCAL_CFLAGS= -Wno-unused
LOCAL_CFLAGS+= -Wno-comment -Wno-sign-compare $(OPENMRCP_INCLUDE) $(MRCP_APR_INCLUDES) $(MRCP_APU_INCLUDES) 

LOCAL_LIBADD=$(OPENMRCP_LIBS)

LOCAL_INSERT_LDFLAGS=if test $$osarch = "Darwin" ; then echo "-framework CoreFoundation -framework SystemConfiguration -lssl -lcrypto" ; fi ;

include ../../../../build/modmake.rules

$(OPENMRCP_DIR)/Makefile:
	cd $(OPENMRCP_DIR) && ./bootstrap && ./configure --with-apr=../apr --with-apr-util=../apr-util --with-sofia-sip=../sofia-sip

$(OPENMRCP_LIBS): $(OPENMRCP_DIR)/Makefile
	cd $(OPENMRCP_DIR) && make

=== src/mod/codecs/mod_g711/Makefile ===
BASE=../../../..
LOCAL_CFLAGS=-I$(BASE)/libs/codec/g7xx/src/include
include $(BASE)/build/modmake.rules

=== src/mod/codecs/mod_g722/Makefile ===
BASE=../../../..
G7XX_DIR=$(BASE)/libs/codec/g7xx
G7XXLA=$(G7XX_DIR)/libg7xx.la
LOCAL_CFLAGS=-I$(G7XX_DIR)/src/include/
LOCAL_LIBADD=$(G7XXLA)
include $(BASE)/build/modmake.rules

$(G7XXLA): $(G7XX_DIR) $(G7XX_DIR)/.update
	cd $(G7XX_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_g723_1/Makefile ===
BASE=../../../..
DIR=$(BASE)/libs/libg723_1
A=$(DIR)/.libs/libg723.a

LOCAL_INSERT_CFLAGS=if test -f $(A); then echo "-I$(DIR)/src/include" ; else echo "-DG723_PASSTHROUGH" ; fi ;
LOCAL_INSERT_LDFLAGS=test ! -f $(A) || echo $(A) 

include $(BASE)/build/modmake.rules

=== src/mod/codecs/mod_g726/Makefile ===
BASE=../../../..
G726_DIR=$(BASE)/libs/codec/g726
G726LA=$(G726_DIR)/libg726.la
LOCAL_CFLAGS=-I$(G726_DIR)/src
LOCAL_LIBADD=$(G726LA)
include $(BASE)/build/modmake.rules

$(G726LA): $(G726_DIR) $(G726_DIR)/.update
	cd $(G726_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== libs/udns/debian/control ===
Source: udns
Priority: optional
Maintainer: Michael Tokarev <mjt@corpit.ru>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: libudns0
Section: lib
Architecture: any
Depends: ${shlibs:Depends}
Description: async-capable DNS stub resolver library
 libudns0 package provides libudns shared library needed
 to run programs using it

Package: libudns-dev
Section: libdev
Architecture: any
Depends: libudns0 (= ${Source-Version})
Description: async-capable DNS stub resolver library, development files
 This package provides development files needed
 to build programs using udns library

Package: udns-utils
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: rblcheck
Description: Several DNS-related utilities built on top of udns library
 This package includes the following utilities:
  dnsget - a simple DNS query tool, like `host' or `dig' for usage from
   a command line, and dnsip, dnsname etc for usage in scripts
  rblcheck - DNSBL (rbl) checker
 All the utilities are built using udns library
